<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<style>
body {
    background-image: url('pipes3.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}
</style>

<div id="titlepage">
  <p class="title">
    Disk Image Pipelines
  </p>

  <p class="author">
    Richard W.M. Jones <small>(rjones @ redhat.com)</small> <br/>
    <small>Monday February 15th, 2021</small>
  </p>

  <p class="abstract">

<a href="https://libguestfs.org/virt-v2v.1.html">Virt-v2v</a> is a
project for <a href="https://konveyor.io/"><q>lifting and shifting</q>
workloads</a> from VMware to open source management platforms like
oVirt/RHV, OpenStack and KubeVirt.  To do this we have to copy vast
amounts of data quickly, modifying it in flight.
Nearly everything we have to copy is a virtual machine <b>disk
image</b>.  There are techniques you can use to copy disk images very
efficiently:

<ul>
<li> without copying zeroes or deleted data
<li> without making temporary copies
<li> without touching the originals
<li> and modifying the contents in flight
</ul>

  </p>

</div>
